Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextCharFormat.UnderlineStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextCharFormat.UnderlineStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCharFormat

    public static final class QTextCharFormat.UnderlineStyle

extends java.lang.Enum
implements QtEnumerator

This enum describes the different ways drawing underlined text.

See also:
  `Qt::PenStyle` .

See Also:
  Serialized Form

Field Summary
`static QTextCharFormat.UnderlineStyle` | `DashDotDotLine` Underlines draw drawn using `Qt::DashDotDotLine` .
`static QTextCharFormat.UnderlineStyle` | `DashDotLine` Dashs and dots are drawn using `Qt::DashDotLine` .
`static QTextCharFormat.UnderlineStyle` | `DashUnderline` Dashes are drawn using `Qt::DashLine` .
`static QTextCharFormat.UnderlineStyle` | `DotLine` Dots are drawn using `Qt::DotLine` ;
`static QTextCharFormat.UnderlineStyle` | `NoUnderline` Text is draw without any underlining decoration.
`static QTextCharFormat.UnderlineStyle` | `SingleUnderline` A line is drawn using `Qt::SolidLine` .
`static QTextCharFormat.UnderlineStyle` | `SpellCheckUnderline` The underline is drawn depending on the QStyle.:SH_SpellCeckUnderlineStyle style hint of the `QApplication` style.
`static QTextCharFormat.UnderlineStyle` | `WaveUnderline` The text is underlined using a wave shaped line.

Method Summary
`static QTextCharFormat.UnderlineStyle` | `resolve(int value)` Returns the QTextCharFormat$UnderlineStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCharFormat.UnderlineStyle` | `valueOf(java.lang.String name)`
`static QTextCharFormat.UnderlineStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoUnderline

    public static final QTextCharFormat.UnderlineStyle NoUnderline

  Text is draw without any underlining decoration.

### SingleUnderline

    public static final QTextCharFormat.UnderlineStyle SingleUnderline

  A line is drawn using `Qt::SolidLine` .

### DashUnderline

    public static final QTextCharFormat.UnderlineStyle DashUnderline

  Dashes are drawn using `Qt::DashLine` .

### DotLine

    public static final QTextCharFormat.UnderlineStyle DotLine

  Dots are drawn using `Qt::DotLine` ;

### DashDotLine

    public static final QTextCharFormat.UnderlineStyle DashDotLine

  Dashs and dots are drawn using `Qt::DashDotLine` .

### DashDotDotLine

    public static final QTextCharFormat.UnderlineStyle DashDotDotLine

  Underlines draw drawn using `Qt::DashDotDotLine` .

### WaveUnderline

    public static final QTextCharFormat.UnderlineStyle WaveUnderline

  The text is underlined using a wave shaped line.

### SpellCheckUnderline

    public static final QTextCharFormat.UnderlineStyle SpellCheckUnderline

  The underline is drawn depending on the QStyle.:SH_SpellCeckUnderlineStyle style hint of the `QApplication` style. By default this is mapped to `WaveUnderline` , on Mac OS X it is mapped to `DashDotLine` .

Method Detail

### values

    public static QTextCharFormat.UnderlineStyle[] values()

### valueOf

    public static QTextCharFormat.UnderlineStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCharFormat.UnderlineStyle resolve(int value)

  Returns the QTextCharFormat$UnderlineStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD